Bug 975125 (CVE-2013-2448)

Summary: CVE-2013-2448 OpenJDK: Better access restrictions (Sound, 8006328)
Product: [Other] Security Response Reporter: Stefan Cornelius <scorneli>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: dbhole, jlieskov, jvanek, security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20130618,reported=20130610,source=oracle,cvss2=5.1/AV:N/AC:H/Au:N/C:P/I:P/A:P,rhel-5/java-1.6.0-openjdk=affected,rhel-6/java-1.6.0-openjdk=affected,rhel-5/java-1.7.0-openjdk=affected,rhel-6/java-1.7.0-openjdk=affected,rhel-5/java-1.7.0-oracle=affected,rhel-6/java-1.7.0-oracle=affected,rhel-5/java-1.5.0-ibm=affected,rhel-6/java-1.5.0-ibm=affected,rhel-5/java-1.6.0-ibm=affected,rhel-6/java-1.6.0-ibm=affected,rhel-5/java-1.7.0-ibm=affected,rhel-6/java-1.7.0-ibm=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-07-17 12:09:32 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 973111, 973116    

Description Stefan Cornelius 2013-06-17 12:30:21 EDT
It was discovered that various parts of the Sound component did not implement proper access restrictions. An untrusted Java application or applet could possibly use this flaw to bypass Java sandbox restrictions.
Comment 1 Jan Lieskovsky 2013-06-19 09:41:34 EDT
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html
Comment 2 errata-xmlrpc 2013-06-19 20:05:49 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html
Comment 3 errata-xmlrpc 2013-06-19 20:10:07 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html
Comment 4 Stefan Cornelius 2013-06-20 07:59:43 EDT
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/91ce9432f88d
Comment 5 errata-xmlrpc 2013-06-20 10:53:31 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html
Comment 6 errata-xmlrpc 2013-07-03 13:11:57 EDT
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2013:1014 https://rhn.redhat.com/errata/RHSA-2013-1014.html
Comment 7 errata-xmlrpc 2013-07-15 16:43:51 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html
Comment 8 errata-xmlrpc 2013-07-15 16:53:57 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1059 https://rhn.redhat.com/errata/RHSA-2013-1059.html
Comment 9 errata-xmlrpc 2013-07-16 13:22:57 EDT
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 6
  Supplementary for Red Hat Enterprise Linux 5

Via RHSA-2013:1081 https://rhn.redhat.com/errata/RHSA-2013-1081.html
Comment 11 errata-xmlrpc 2013-10-23 12:44:19 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.5

Via RHSA-2013:1456 https://rhn.redhat.com/errata/RHSA-2013-1456.html
Comment 12 errata-xmlrpc 2013-10-23 12:54:54 EDT
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.4

Via RHSA-2013:1455 https://rhn.redhat.com/errata/RHSA-2013-1455.html
Comment 13 errata-xmlrpc 2014-04-17 07:34:35 EDT
This issue has been addressed in following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2014:0414 https://rhn.redhat.com/errata/RHSA-2014-0414.html